%define gitver a1cbe480
%define date   20090205

Summary:       Visual tool for Git
Name:          teamgit
Version:       0.0.9
Release:       1.%{date}%{?dist}
Epoch:         1
License:       GPLv2
Group:         Development/Tools
URL:           http://www.devslashzero.com/teamgit
#Source0:       http://ppa.launchpad.net/bain-devslashzero/ubuntu/pool/main/t/teamgit/teamgit_0.0.8ubuntu1.tar.gz
# Tarball created by
# $ git clone git://gitorious.org/teamgit/mainline.git
# $ cd mainline
# $ git-archive --format=tar --prefix=%{name}-%{version}/ %{gitver} | bzip2 > %{name}-%{version}-%{date}.tar.bz2 
Source0:       %{name}-%{version}-%{date}.tar.bz2
BuildRequires: qt4-devel desktop-file-utils
Requires:      git
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%description
This package provides a visual tool for Git, a distributed revision
control system.

%prep
%setup -q

%build
qmake-qt4 ./teamgit.pro
%{__make} 
#%{?_smp_mflags} don't work

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING 
%{_bindir}/%{name}
%{_bindir}/%{name}-rebase
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Feb  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.0.9-1.20090205
- 0.0.9 + man page crash fix

* Fri Dec 26 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0.8-2.20081226
- add git to req.
- update to git snapshot 2008-12-26

* Sun Nov 23 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0.8-1
- 0.0.8
- add man page
- icon has moved
- remove %%post scripts

* Wed Oct  7 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.3.0-1
- initial build

